pkgname=dayon-bin
pkgbase=dayon
pkgver=14.0.0
pkgrel=1

pkgdesc="Desktop assistance"
arch=('x86_64')
url="https://retgal.github.io/Dayon/"
license=('GPL3')

depends=('java-environment=11')

source=("https://github.com/RetGal/Dayon/releases/download/v${pkgver}/dayon.${pkgver}.tgz"
    "dayon_assisted.desktop"
    "dayon_assistant.desktop")

package() {
    cd $pkgbase

    install -dm755 "${pkgdir}"/usr/share/dayon/
    install -dm755 "${pkgdir}"/usr/bin/

    install -Dm644 dayon.jar "${pkgdir}"/usr/share/dayon/dayon.jar
    install -Dm755 dayon.sh  "${pkgdir}"/usr/share/dayon/dayon.sh
    install -Dm755 dayon_assistant.sh "${pkgdir}"/usr/share/dayon/dayon_assistant.sh
    install -Dm755 dayon_assisted.sh  "${pkgdir}"/usr/share/dayon/dayon_assisted.sh
    install -Dm644 dayon.png "${pkgdir}"/usr/share/icons/hicolor/128x128/apps/dayon.png

    install -Dm644 "${srcdir}"/dayon_assistant.desktop "${pkgdir}"/usr/share/applications/dayon_assistant.desktop
    install -Dm644 "${srcdir}"/dayon_assisted.desktop  "${pkgdir}"/usr/share/applications/dayon_assisted.desktop

    ln -s /usr/share/dayon/dayon_assistant.sh "${pkgdir}"/usr/bin/dayon_assistant
    ln -s /usr/share/dayon/dayon_assisted.sh  "${pkgdir}"/usr/bin/dayon_assisted
}

sha256sums=('84ea75738c6d4c8df6e011d46d3a13956541dc92daf380e8483360229c5f6097'
            'c7a262e4fce3744afecbb574792411c4743bb55b1391e7730f2d4a6c7ab6c4c2'
            'd8692140c7b14fec994d01159426b9a6e2c22b2454232b8538f09942a198921b')

# Maintainer : Yann-Kaelig
